TabStops (JavaFX 28)
Description: declaration: module: jfx.incubator.richtext, package: jfx.incubator.scene.control.richtext.model, class: TabStops

# Class TabStops

java.lang.Object
jfx.incubator.scene.control.richtext.model.TabStops

All Implemented Interfaces:
  `Iterable<TabStop>, Collection<TabStop>, List<TabStop>, SequencedCollection<TabStop>`

public final class TabStops extends Object implements List<TabStop>
Encapsulates the tab stop positions within a paragraph, in the form of an unmodifiable `List`.

Calling any mutator method on this object will always cause `UnsupportedOperationException` to be thrown.

Since:
  27

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabStops(List<TabStop> stops)`
  Creates a `TabStops` instance from tab stop positions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, TabStop element)`
  `boolean`
  `add(TabStop e)`
  `boolean`
  `addAll(int index, Collection<? extends TabStop> c)`
  `boolean`
  `addAll(Collection<? extends TabStop> c)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> c)`
  `boolean`
  `equals(Object x)`
  `TabStop`
  `get(int index)`
  `int`
  `hashCode()`
  `int`
  `indexOf(Object o)`
  `boolean`
  `isEmpty()`
  `Iterator<TabStop>`
  `iterator()`
  `int`
  `lastIndexOf(Object o)`
  `ListIterator<TabStop>`
  `listIterator()`
  `ListIterator<TabStop>`
  `listIterator(int index)`
  `static TabStops`
  `of(double... positions)`
  Creates a `TabStops` instance from tab stop positions.
  `TabStop`
  `remove(int index)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `TabStop`
  `set(int index, TabStop element)`
  `int`
  `size()`
  `List<TabStop>`
  `subList(int fromIndex, int toIndex)`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] a)`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods declared in interface Iterable

  `forEach`

  ### Methods declared in interface List

  `addFirst, addLast, getFirst, getLast, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`

- ## Constructor Details

  - ### TabStops

    public TabStops(List<TabStop> stops)
    Creates a `TabStops` instance from tab stop positions.
    Parameters:
      `stops` - the tab stops

- ## Method Details

  - ### of

    public static TabStops of(double... positions)
    Creates a `TabStops` instance from tab stop positions.
    Parameters:
      `positions` - the tab stop positions
    Returns:
      the new instance

  - ### iterator

    public Iterator<TabStop> iterator()
    Specified by:
      `iterator` in interface `Collection<TabStop>`
    Specified by:
      `iterator` in interface `Iterable<TabStop>`
    Specified by:
      `iterator` in interface `List<TabStop>`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Collection<TabStop>`
    Specified by:
      `hashCode` in interface `List<TabStop>`
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object x)
    Specified by:
      `equals` in interface `Collection<TabStop>`
    Specified by:
      `equals` in interface `List<TabStop>`
    Overrides:
      `equals` in class `Object`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<TabStop>`
    Specified by:
      `size` in interface `List<TabStop>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<TabStop>`
    Specified by:
      `isEmpty` in interface `List<TabStop>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<TabStop>`
    Specified by:
      `contains` in interface `List<TabStop>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<TabStop>`
    Specified by:
      `toArray` in interface `List<TabStop>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<TabStop>`
    Specified by:
      `toArray` in interface `List<TabStop>`

  - ### add

    public boolean add(TabStop e)
    Specified by:
      `add` in interface `Collection<TabStop>`
    Specified by:
      `add` in interface `List<TabStop>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<TabStop>`
    Specified by:
      `remove` in interface `List<TabStop>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<TabStop>`
    Specified by:
      `containsAll` in interface `List<TabStop>`

  - ### addAll

    public boolean addAll(Collection<? extends TabStop> c)
    Specified by:
      `addAll` in interface `Collection<TabStop>`
    Specified by:
      `addAll` in interface `List<TabStop>`

  - ### addAll

    public boolean addAll(int index, Collection<? extends TabStop> c)
    Specified by:
      `addAll` in interface `List<TabStop>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<TabStop>`
    Specified by:
      `removeAll` in interface `List<TabStop>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<TabStop>`
    Specified by:
      `retainAll` in interface `List<TabStop>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<TabStop>`
    Specified by:
      `clear` in interface `List<TabStop>`

  - ### get

    public TabStop get(int index)
    Specified by:
      `get` in interface `List<TabStop>`

  - ### set

    public TabStop set(int index, TabStop element)
    Specified by:
      `set` in interface `List<TabStop>`

  - ### add

    public void add(int index, TabStop element)
    Specified by:
      `add` in interface `List<TabStop>`

  - ### remove

    public TabStop remove(int index)
    Specified by:
      `remove` in interface `List<TabStop>`

  - ### indexOf

    public int indexOf(Object o)
    Specified by:
      `indexOf` in interface `List<TabStop>`

  - ### lastIndexOf

    public int lastIndexOf(Object o)
    Specified by:
      `lastIndexOf` in interface `List<TabStop>`

  - ### listIterator

    public ListIterator<TabStop> listIterator()
    Specified by:
      `listIterator` in interface `List<TabStop>`

  - ### listIterator

    public ListIterator<TabStop> listIterator(int index)
    Specified by:
      `listIterator` in interface `List<TabStop>`

  - ### subList

    public List<TabStop> subList(int fromIndex, int toIndex)
    Specified by:
      `subList` in interface `List<TabStop>`